Subject: [SPIRITS] [Fwd: Re: [sip-events] A few questions on using SUBSCRIBE/NOTIFY]

From: Alec Brusilovsky <[email-masked]>
Date: Wed, 19 Sep 2001 15:08:00 -0500

-------- Original Message --------
Subject: Re: [sip-events] A few questions on using
SUBSCRIBE/NOTIFY
Date: Wed, 19 Sep 2001 15:07:04 -0500
From: Alec Brusilovsky <[email-masked]>
Organization: Lucent Technologies
To: Vijay Gurbani <[email-masked]>,Jonathan Rosenberg
<[email-masked]>,"[email-masked]'"
<[email-masked]>
CC: [email-masked],
[email-masked],[email-masked]
References:
<[email-masked]>
<[email-masked]>

Igor, Jonathan, Vijay,

This is a good discussion, and the topic is quite useful for
the SPIRITS
protocol. I would like to cross-post this thread to the
SPIRITS exploder.

Thanks,
Alec

Vijay Gurbani wrote:

> Jonathan Rosenberg wrote:
> > > -----Original Message-----
> > > From: Igor Faynberg [mailto:[email-masked]]
> > > Jonathan,
> > >
> > > Many thanks for a quick answer! Thinks are much more clear now to me,
> > > and I think the draft would benefit from including the
> > > examples like the
> > > ones you wrote. The filter thing I don't get though--it is not part of
> > > the BNF, page 10.  Is it part of the approved SIP (or can we
> > > refer to it
> > > anyway?)
> >
> > No, I made it up. The general idea is that subscribe bodies would
> > generally be used to describe filters or other qualifiers on the
> > subscription.
>
> Right.  Igor: that is what I meant at the London IETF when I said that the
> SPIRITS WG would need an Event package to be fleshed out.
>
> Igor Faynberg wrote:
>
> > Aha!  But then it looks like the simplest solution, short of defining
> > filters (which, I understand would be inconsistent with NOTIFY), is
> > simply define one value for each event. In SPIRITS, it will be then a a
> > list of DPs, because one needs to subscribe for one and only one event
> > and expect to get a notification for this event.
>
> What goes inside the bodies of SUB/NOT is now what we have to finalize on.
> Even if it is a list of DPs, we would need some means of codifying them.
> XML maybe?
>
> Regards,
>
> - vijay
> --
> Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
> Internet Software and eServices Group
> Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
> Naperville, Illinois 60566     Voice: +1 630 224 0216   Fax: +1 630 713 0184

_______________________________________________
SPIRITS mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/spirits